> For the complete documentation index, see [llms.txt](https://docs.mapprotocol.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapprotocol.io/network/relay-chain.md).

# MAP Relay Chain

MAP Relay Chain (Atlas) is an EVM-compatible blockchain at the core of MAP Protocol.

## Mainnet

| Property        | Value                             |
| --------------- | --------------------------------- |
| Network Name    | MAP Mainnet                       |
| Chain ID        | `22776`                           |
| Currency Symbol | MAPO                              |
| RPC URL         | `https://rpc.maplabs.io`          |
| WebSocket       | `wss://wss.maplabs.io`            |
| Explorer        | <https://explorer.mapprotocol.io> |
| Explorer (alt)  | <https://maposcan.io>             |

### Add to Wallet

```json
{
  "chainId": "0x58f8",
  "chainName": "MAP Mainnet",
  "nativeCurrency": {
    "name": "MAPO",
    "symbol": "MAPO",
    "decimals": 18
  },
  "rpcUrls": ["https://rpc.maplabs.io"],
  "blockExplorerUrls": ["https://explorer.mapprotocol.io"]
}
```

## Testnet (Makalu)

| Property        | Value                            |
| --------------- | -------------------------------- |
| Network Name    | MAP Makalu                       |
| Chain ID        | `212`                            |
| Currency Symbol | MAPO                             |
| RPC URL         | `https://testnet-rpc.maplabs.io` |
| WebSocket       | `wss://testnet-wss.maplabs.io`   |
| Explorer        | <https://testnet.maposcan.io>    |
| Faucet          | <https://faucet.mapprotocol.io>  |

### Add to Wallet

```json
{
  "chainId": "0xd4",
  "chainName": "MAP Makalu",
  "nativeCurrency": {
    "name": "MAPO",
    "symbol": "MAPO",
    "decimals": 18
  },
  "rpcUrls": ["https://testnet-rpc.maplabs.io"],
  "blockExplorerUrls": ["https://testnet.maposcan.io"]
}
```

## Network Specifications

| Specification     | Value                  |
| ----------------- | ---------------------- |
| Consensus         | Istanbul BFT (IBFT)    |
| Block Time        | \~5 seconds            |
| Finality          | Instant (single block) |
| EVM Compatibility | Full                   |
| Gas Token         | MAPO                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mapprotocol.io/network/relay-chain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
